分类
Zimbra

Zimbra 8.5GA升级到8.6GA之后 Zimbra Desktop “SSL peer shut down incorrectly 异常”的解决方法

当你顺利升级到Zimbra8.6GA之后,你会发现桌面客户端ZD 7.2.5版本无法收取邮件,进入设置,编辑我的账户,选择认证后保存,出现错误提示:

“SSL peer shut down incorrectly 异常”

zimbra-divestiture-tn

更多错误信息:

zclient.IO_ERROR: Remote host closed connection during handshake

Display error details
com.zimbra.common.soap.SoapFaultException: Remote host closed connection during handshake ExceptionId:com.zimbra.common.zclient.ZClientException: Remote host closed connection during handshake ExceptionId:btpool0-50:1418841437568:ef1b4de35db6766a Code:zclient.IO_ERROR at com.zimbra.common.zclient.ZClientException.IO_ERROR(ZClientException.java:45) at com.zimbra.cs.zclient.ZMailbox.invoke(ZMailbox.java:570) at ......

官方论坛已有人贴出了解决方案,有说更新Java版本的,有说不用更新JRE的,ITGeeker技术奇客采用了下面的方法,并已解决问题:

以'zimbra'运行以下命令:

su zimbra

zmprov mcf +zimbraMailboxdSSLProtocols SSLv2Hello

然后重启mailbox服务:

zmmailboxdctl restart

官方相关帖子: https://community.zimbra.com/collaboration/f/1886/t/1136983

分类
开源安装

如何在CentOs6.5_X64安装卸载LibreOffice4.2.5 by ITGeeker

1. Yum安装方法

安装方法有两个,如果yum已配置好,使用yum安装非常方便。

yum install libreoffice

但注意,此方法安装的版本并不一定是4.2.5,取决于你配置的源Repository

安装完之后文件的目录:

/root/libreoffice
/usr/bin/libreoffice
/usr/lib64/libreoffice

LibreOffice

2. 代码安装方法

LibreOffice 4.2.5 64-bit version

cd /tmp && wget http://download.documentfoundation.org/libreoffice/stable/4.2.5/rpm/x86_64/LibreOffice_4.2.5_Linux_x86-64_rpm.tar.gz && tar -xvf LibreOffice_4.2.5* && cd LibreOffice_4.2.5*

然后安装

yum localinstall RPMS/*.rpm

启动Start LibreOffice

#libreoffice4.2

## OR ##

/opt/libreoffice4.2/program/soffice

如果有问题,请根据错误提示安装依赖包,你可能需要安装:

yum install libXinerama cups-libs

也有可能你需要安装更多其它的依赖包,取决于你的系统配置。

如果觉得安装依赖包太复杂,还是使用yum安装,虽然版本偏低,但非常方便。

3. 如何删除已安装的LibreOffice

yum remove libreoffice.org*